## org.freedesktop.Gypsy.Course org.freedesktop.Gypsy.Course — Course interface |

## Methods

    GetCourse (out 'i'fields,
               out 'i'timestamp,
               out 'd'speed,
               out 'd'direction,
               out 'd'climb)

## Signals

    CourseChanged ('i'fields,
                   'i'timestamp,
                   'd'speed,
                   'd'direction,
                   'd'climb)

## Implemented Interfaces

org.freedesktop.Gypsy.Course implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

## Details

### GetCourse ()

    GetCourse (out 'i' fields,
               out 'i' timestamp,
               out 'd' speed,
               out 'd' direction,
               out 'd' climb)

`fields`: |
`timestamp`: |
`speed`: |
`direction`: |
`climb`: |

## Signal Details

### The CourseChanged signal

    CourseChanged ('i' fields,
                   'i' timestamp,
                   'd' speed,
                   'd' direction,
                   'd' climb)

`fields`: |
`timestamp`: |
`speed`: |
`direction`: |
`climb`: |

## Property Details